function [phi_conj,psi_conj] = dual_wavelets(phi,psi)

% find the dual wavelets associated to (phi,psi)

[nbf,N] = size(psi) ;
phi = phi(:).' ;
sum_squares = abs(phi).^2 + sum(abs(psi).^2,1) ;
phi_conj = conj(phi)./sum_squares ;
phi_conj = [phi_conj(1:N/2+1),zeros(1,3*N/2-1)] ;
psi_conj = conj(psi)./repmat(sum_squares,[nbf,1]) ;
psi_conj = [psi_conj(:,1:N/2+1),zeros(nbf,3*N/2-1)] ;